import { buildContract } from '@jig-software/trest-core';

export const healthCheckContract = buildContract((c) =>
  c
    .prefix('/health-check')
    .parse((p) => p.error.text(400))
    .endpoints({
      checkHealth: (e) => e.method('GET').parse((p) => p.success.null(200)),
    }),
);
